Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

List pending invitations

Requires invitation:create or invitation:cancel.

GET/organizations/{organizationId}/invitations
Authorization
AuthorizationBearer token (JWT) · headerrequired

An access token issued by this service (RFC 9068), in the Authorization header as Bearer <token>.

Path parameters
organizationIdstring<uuid>required
Responses
200

The invitations that are neither accepted, canceled nor expired.

Array of invitation
idstring<uuid>required
emailstringrequired
rolestringrequired
created_atstring<date-time>required
expires_atstring<date-time>required
default

The request failed.

errorstringrequired

Stable machine-readable code.

Allowed:invalid_requestunauthorizedforbiddennot_foundconflictgoneunavailableinternal
messagestringrequired

Human-readable explanation.

Request
curl -X GET 'https://auth.kapten.io/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/invitations' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "email": "string",
    "role": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "expires_at": "2019-08-24T14:15:22Z"
  }
]

Was this page helpful?